<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: CConfig Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCConfig-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CConfig Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Config, which needs to be loaded for the game to work use load method to load config from file.  
 <a href="structCConfig.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="config_8h_source.html">config.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aaf58e2a1d6b025a562e2751ae7e65499"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCConfig.html#aaf58e2a1d6b025a562e2751ae7e65499">load</a> (const string &amp;file)</td></tr>
<tr class="memdesc:aaf58e2a1d6b025a562e2751ae7e65499"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads config file stores paths to important files and folders used in the game.  <a href="#aaf58e2a1d6b025a562e2751ae7e65499">More...</a><br /></td></tr>
<tr class="separator:aaf58e2a1d6b025a562e2751ae7e65499"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab585ce304db444a95d521a229fe60c71"><td class="memItemLeft" align="right" valign="top"><a id="ab585ce304db444a95d521a229fe60c71"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>m_config</b></td></tr>
<tr class="separator:ab585ce304db444a95d521a229fe60c71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad45d3f9544d1f92750f7f3326d23b5f3"><td class="memItemLeft" align="right" valign="top"><a id="ad45d3f9544d1f92750f7f3326d23b5f3"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>m_mapsFolder</b></td></tr>
<tr class="separator:ad45d3f9544d1f92750f7f3326d23b5f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03a0c2dfac71e2a3135478f11a0743d3"><td class="memItemLeft" align="right" valign="top"><a id="a03a0c2dfac71e2a3135478f11a0743d3"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>m_gamesFolder</b></td></tr>
<tr class="separator:a03a0c2dfac71e2a3135478f11a0743d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af856db77841d879556f62e070d1f7774"><td class="memItemLeft" align="right" valign="top"><a id="af856db77841d879556f62e070d1f7774"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>m_scoreFile</b></td></tr>
<tr class="separator:af856db77841d879556f62e070d1f7774"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af12b9ce94a2d8ee0d44f71762cfa01a4"><td class="memItemLeft" align="right" valign="top"><a id="af12b9ce94a2d8ee0d44f71762cfa01a4"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>m_menuFile</b></td></tr>
<tr class="separator:af12b9ce94a2d8ee0d44f71762cfa01a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae67d06271839c1d84b8e174276a678ac"><td class="memItemLeft" align="right" valign="top"><a id="ae67d06271839c1d84b8e174276a678ac"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>m_color</b></td></tr>
<tr class="separator:ae67d06271839c1d84b8e174276a678ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Config, which needs to be loaded for the game to work use load method to load config from file. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aaf58e2a1d6b025a562e2751ae7e65499"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf58e2a1d6b025a562e2751ae7e65499">&#9670;&nbsp;</a></span>load()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool CConfig::load </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>file</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads config file stores paths to important files and folders used in the game. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">file</td><td>to be loaded </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>success / not </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following files:<ul>
<li><a class="el" href="config_8h_source.html">config.h</a></li>
<li>config.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
